Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733092 - dev-db/sqlite-3.32.3 fails tests on ARM/PPC: sessionfuzz
Summary: dev-db/sqlite-3.32.3 fails tests on ARM/PPC: sessionfuzz
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 15:02 UTC by Agostino Sarubbo
Modified: 2020-07-29 18:46 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,114.03 KB, text/plain)
2020-07-17 15:02 UTC, Agostino Sarubbo
Details
build.log (ppc) (file_733092.txt,111.18 KB, text/plain)
2020-07-20 21:05 UTC, Sam James
Details
backtrace (ppc) (file_733092.txt,2.38 KB, text/plain)
2020-07-22 18:52 UTC, Sam James
Details
backtrace (sparc) (file_733092.txt,781 bytes, text/plain)
2020-07-24 07:10 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-17 15:02:35 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-db/sqlite fails tests.
Discovered on: arm (internal ref: arm_at)
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-17 15:02:43 UTC
Created attachment 649726 [details]
build.log

build log and emerge --info
Comment 2 Arfrever Frehtes Taifersar Arahesis 2020-07-17 16:37:26 UTC
> ./sessionfuzz run /var/tmp/portage/dev-db/sqlite-3.32.3/work/sqlite-src-3320300-.arm/test/sessionfuzz-data1.db
> sessionfuzz-data1.db: sessionfuzz: ./sqlite3.c:57398: pager_open_journal: Assertion `rc!=SQLITE_OK || isOpen(pPager->jfd)' failed.
> make: *** [Makefile:1256: fuzztest] Aborted (core dumped)


Does the same problem occur in dev-db/sqlite-3.31.1?
Comment 3 Sam James archtester gentoo-dev Security 2020-07-17 17:25:20 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> > ./sessionfuzz run /var/tmp/portage/dev-db/sqlite-3.32.3/work/sqlite-src-3320300-.arm/test/sessionfuzz-data1.db
> > sessionfuzz-data1.db: sessionfuzz: ./sqlite3.c:57398: pager_open_journal: Assertion `rc!=SQLITE_OK || isOpen(pPager->jfd)' failed.
> > make: *** [Makefile:1256: fuzztest] Aborted (core dumped)
> 
> 
> Does the same problem occur in dev-db/sqlite-3.31.1?

I don't recall it happening.. I hit this same failure, but I was re-running on another machine to see.

I'll try with 3.31.1 too.
Comment 4 Agostino Sarubbo gentoo-dev 2020-07-20 14:56:54 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> > ./sessionfuzz run /var/tmp/portage/dev-db/sqlite-3.32.3/work/sqlite-src-3320300-.arm/test/sessionfuzz-data1.db
> > sessionfuzz-data1.db: sessionfuzz: ./sqlite3.c:57398: pager_open_journal: Assertion `rc!=SQLITE_OK || isOpen(pPager->jfd)' failed.
> > make: *** [Makefile:1256: fuzztest] Aborted (core dumped)
> 
> 
> Does the same problem occur in dev-db/sqlite-3.31.1?

Yes, 3.31.1 has the same failure.

Maybe people do not run test at all:


commit 45fdb2f6d95e6815966a200c95e26cddb200f70d
Author: Mikle Kolyada <zlogene@gentoo.org>
Date:   Sat Mar 14 21:06:15 2020 +0300

    dev-db/sqlite: arm stable wrt bug #711526
    
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    RepoMan-Options: --include-arches="arm"
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Comment 5 Sam James archtester gentoo-dev Security 2020-07-20 15:06:21 UTC
(In reply to Agostino Sarubbo from comment #4)
> (In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> > > ./sessionfuzz run /var/tmp/portage/dev-db/sqlite-3.32.3/work/sqlite-src-3320300-.arm/test/sessionfuzz-data1.db
> > > sessionfuzz-data1.db: sessionfuzz: ./sqlite3.c:57398: pager_open_journal: Assertion `rc!=SQLITE_OK || isOpen(pPager->jfd)' failed.
> > > make: *** [Makefile:1256: fuzztest] Aborted (core dumped)
> > 
> > 
> > Does the same problem occur in dev-db/sqlite-3.31.1?
> 
> Yes, 3.31.1 has the same failure.
> 

Sorry, I mentioned this to Arfrever on IRC, forgot to add here. I've seen this on ppc (or ppc64?) too.

I've ignored it here because it wasn't a regression at least.
Comment 6 Sam James archtester gentoo-dev Security 2020-07-20 21:05:46 UTC
Created attachment 650030 [details]
build.log (ppc)

Portage 2.3.99 (python 3.7.8-final-0, default/linux/powerpc/ppc32/17.0, gcc-9.3.0, glibc-2.30-r8, 4.19.117-gentoo ppc)
=================================================================
System uname: Linux-4.19.117-gentoo-ppc-POWER8_-architected-,_altivec_supported-with-gentoo-2.6
KiB Mem:    24802036 total,   2290644 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 20 Jul 2020 20:35:22 +0000
sh bash 5.0_p17
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          5.0_p17::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.8-r1::gentoo, 3.8.4-r1::gentoo
dev-util/cmake:           3.16.5::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r8::gentoo
Repositories:

gentoo
    location: /bound/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:

ACCEPT_KEYWORDS="ppc"
ACCEPT_LICENSE="@FREE"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe -fdiagnostics-show-option -frecord-gcc-switches"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe"
DISTDIR="/bound/distfiles"
EMERGE_DEFAULT_OPTS="--complete-graph --keep-going"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j8 -l13"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt dri fortran gdbm iconv ipv6 ncurses nls nptl openmp pam pcre ppc readline seccomp split-usr ssl tcpd unicode xattr zlib" ABI_PPC="32" ADA_TARGET="gnat_2018" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga nv r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Sam James archtester gentoo-dev Security 2020-07-22 18:52:58 UTC
Created attachment 650224 [details]
backtrace (ppc)

Steps to obtain:
1) CFLAGS="$(portageq envvar CFLAGS) -ggdb3" USE="test" ebuild sqlite-3.32.3.ebuild clean test
2) cd /var/tmp/portage/dev-db/sqlite-3.32.3/work/sqlite-src-3320300-*
3) gdb --args ./sessionfuzz run test/sessionfuzz-data1.db
4) r
Comment 9 Sam James archtester gentoo-dev Security 2020-07-24 07:10:20 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #8)
> https://sqlite.org/forum/forumpost/d44eb2fc44
> 
> https://sqlite.org/src/info/40c44d38104dfcb6

The suggested patch or -O1 both separately remedy the problem.
Comment 10 Sam James archtester gentoo-dev Security 2020-07-24 07:10:39 UTC
Created attachment 650446 [details]
backtrace (sparc)
Comment 12 Sam James archtester gentoo-dev Security 2020-07-27 01:31:32 UTC
(In reply to Sam James from comment #9)
> (In reply to Arfrever Frehtes Taifersar Arahesis from comment #8)
> > https://sqlite.org/forum/forumpost/d44eb2fc44
> > 
> > https://sqlite.org/src/info/40c44d38104dfcb6
> 
> The suggested patch or -O1 both separately remedy the problem.

As in: fixed the problem on arm, ppc, and sparc. Test suite passes with no failures.
Comment 13 Larry the Git Cow gentoo-dev 2020-07-29 18:46:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd5e959e06f605b7caa81d8f44ae7b83f98440fb

commit dd5e959e06f605b7caa81d8f44ae7b83f98440fb
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-07-27 00:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-07-29 18:46:04 +0000

    dev-db/sqlite: Security fixes and other fixes (3.32.3-r1).
    
    Bug: https://bugs.gentoo.org/732604
    Closes: https://bugs.gentoo.org/685874
    Closes: https://bugs.gentoo.org/733092
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 .../sqlite/files/sqlite-3.32.3-backports_1.patch   | 361 +++++++++++++++++++++
 .../sqlite/files/sqlite-3.32.3-backports_2.patch   | 302 +++++++++++++++++
 .../sqlite/files/sqlite-3.32.3-backports_3.patch   | 220 +++++++++++++
 dev-db/sqlite/sqlite-3.32.3-r1.ebuild              | 339 +++++++++++++++++++
 4 files changed, 1222 insertions(+)